lmi-commits
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[lmi-commits] [lmi] master 51df319 7/7: Add a sixth konsole tab


From: Greg Chicares
Subject: [lmi-commits] [lmi] master 51df319 7/7: Add a sixth konsole tab
Date: Sat, 14 Sep 2019 13:26:18 -0400 (EDT)

branch: master
commit 51df3198d5c6346830a42ff0a3933ef1763668d3
Author: Gregory W. Chicares <address@hidden>
Commit: Gregory W. Chicares <address@hidden>

    Add a sixth konsole tab
---
 tabs/6/startup_script | 19 +++++++++++++++++++
 tabs/konsole_tabs     | 11 ++++++-----
 2 files changed, 25 insertions(+), 5 deletions(-)

diff --git a/tabs/6/startup_script b/tabs/6/startup_script
new file mode 100755
index 0000000..73ec631
--- /dev/null
+++ b/tabs/6/startup_script
@@ -0,0 +1,19 @@
+#!/bin/zsh
+
+a='schroot --chroot=lmi'
+
+b='cd /opt/lmi/proprietary'
+c='. /opt/lmi/src/lmi/set_toolchain.sh'
+d='pushd /opt/lmi/touchstone ; d=/opt/lmi/touchstone-old/touchstone-$(date -u 
+"%Y%m%dT%H%MZ") && mkdir -p $d && for z in *; do cmp --quiet $z ../test/$z || 
( mv $z $d/$z; mv ../test/$z ./$z; ) ; done; popd'
+e='git bundle create /opt/lmi/blessed/$(date -u +"%Y%m%dT%H%MZ")-gwc.bundle 
origin/master..HEAD --branches'
+
+print -rs $b ; echo $b ; eval $b
+print -rs $c ; echo $c
+print -rs $d ; echo $d
+print -rs $e ; echo $e
+
+unset a
+unset b
+unset c
+unset d
+unset e
diff --git a/tabs/konsole_tabs b/tabs/konsole_tabs
index 4b2e105..abbb2fe 100644
--- a/tabs/konsole_tabs
+++ b/tabs/konsole_tabs
@@ -50,8 +50,9 @@
 # panes. Having figured out how to start various terminals with tabbed
 # sessions, I do wonder whether I should have used 'expect'.
 #
-title: Mirror ;; profile: Shell ;; command: schroot --chroot=lmi 
--directory=/opt/lmi/src/lmi/tabs/1
-title: Commit ;; profile: Shell ;; command: schroot --chroot=lmi 
--directory=/opt/lmi/src/lmi/tabs/2
-title: Build  ;; profile: Shell ;; command: schroot --chroot=lmi 
--directory=/opt/lmi/src/lmi/tabs/3
-title: Edit   ;; profile: Shell ;; command: schroot --chroot=lmi 
--directory=/opt/lmi/src/lmi/tabs/4
-title: Run    ;; profile: Shell ;; command: schroot --chroot=lmi 
--directory=/opt/lmi/src/lmi/tabs/5
+title: Mirror      ;; profile: Shell ;; command: schroot --chroot=lmi 
--directory=/opt/lmi/src/lmi/tabs/1
+title: Commit      ;; profile: Shell ;; command: schroot --chroot=lmi 
--directory=/opt/lmi/src/lmi/tabs/2
+title: Build       ;; profile: Shell ;; command: schroot --chroot=lmi 
--directory=/opt/lmi/src/lmi/tabs/3
+title: Edit        ;; profile: Shell ;; command: schroot --chroot=lmi 
--directory=/opt/lmi/src/lmi/tabs/4
+title: Run         ;; profile: Shell ;; command: schroot --chroot=lmi 
--directory=/opt/lmi/src/lmi/tabs/5
+title: Proprietary ;; profile: Shell ;; command: schroot --chroot=lmi 
--directory=/opt/lmi/src/lmi/tabs/6



reply via email to

[Prev in Thread] Current Thread [Next in Thread]